kylin-process-manager (4.10.0.0-ok1.41) nile; urgency=medium

  *  apply patch 3165 to openKylin.

 -- liweinan <liweinan@kylinos.cn>  Sun, 28 Sep 2025 14:31:22 +0800

kylin-process-manager (4.10.0.0-ok1.40) nile; urgency=medium

  * Rebuild for openKylin nile-sp2-rc.

 -- liweinan <liweinan@openkylin.top>  Mon, 18 Aug 2025 15:06:21 +0800

kylin-process-manager (4.10.0.0-ok1.39) nile; urgency=medium

  * Build for openKylin nile-sp2-rc.

 -- liweinan <liweinan@openkylin.top>  Mon, 11 Aug 2025 13:37:18 +0800

kylin-process-manager (4.10.0.0-ok1.38) nile; urgency=medium

  * Build for openKylin nile-sp2-rc.

 -- liweinan <liweinan@openkylin.top>  Mon, 11 Aug 2025 13:37:18 +0800

kylin-process-manager (4.10.0.0-ok1.37) nile; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: rebuild
  * 其他改动影响域: 无

 -- guopengfei <guopengfei@kylinos.cn>  Fri, 21 Mar 2025 12:33:39 +0800

kylin-process-manager (4.10.0.0-ok1.36) nile; urgency=medium

  * BUG:
        #IB2648【次要】【arm】【分级冻结】最小化普通应用时，应用未分组到app-background.slice下
        #IB267C【次要】【arm】【分级冻结】普通应用无操作时，应用未分组到app-cached.slice下
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- guopengfei <guopengfei@kylinos.cn> Thu, 20 Mar 2025 15:56:41 +0800

kylin-process-manager (4.10.0.0-ok1.35) nile; urgency=medium

  * BUG: #292347 【分级冻结】系统资源紧张时，开启份即冻结弹窗会弹出多个
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 12 Mar 2025 11:33:34 +0800

kylin-process-manager (4.10.0.0-ok1.34) nile; urgency=medium

  * BUG: #I9IZ13【通知中心】设置通知中关闭截图通知，按下截图仍有通知
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- wangweinan <wangweinan@kylinos.cn>  Thu, 27 Feb 2025 15:28:54 +0800

kylin-process-manager (4.10.0.0-ok1.33) nile; urgency=medium

  * BUG: #IADUHA 系统使用|任务栏分组逻辑有问题
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- guopengfei <guopengfeiguopengfei@kylinos.cn>  Wed, 21 Aug 2024 18:06:12 +0800

kylin-process-manager (4.10.0.0-ok1.32) nile; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 移除ukui-log4qt的依赖，使用systemd service的日志；优化desktop文件的匹配逻辑
  * 其他改动影响域: 资源紧张通知间隔

 -- guopengfei <guopengfeiguopengfei@kylinos.cn>  Wed, 21 Aug 2024 11:31:38 +0800

kylin-process-manager (4.10.0.0-ok1.31) nile; urgency=medium

  * BUG:
      #IA478O 【次要】【分级冻结】系统资源紧张时，通过消息通知提醒用户开启分级冻结，控制面板未打开分级冻结开关
  * 需求: 无
  * 其他改动说明: 修复关闭资源提醒通知后下次弹窗间隔过短
  * 其他改动影响域: 资源紧张通知间隔

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 21 Aug 2024 09:46:02 +0800

kylin-process-manager (4.10.0.0-ok1.30) nile; urgency=medium

  * BUG:
        #IA46MO 关键应用分组显示在进程应用里
        #I9V2J0 开启影音等非toplist应用时，最小化应用，查看应用cgroup，依然显示为前台应用

  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- guopengfei <guopengfei@kylinos.cn>  Mon, 19 Aug 2024 10:15:09 +0800

kylin-process-manager (4.10.0.0-ok1.29) nile; urgency=medium

  * fix: 设置ukui相关的环境变量
  * 1. xdg-desktop-portal 设置 XDG_CURRENT_DESKTOP 换金变量之后,导致打开的应用没有 QT_QPA_PLATFORMTHEME 环境变量
  * 2. 临时方案,kylin-process-manager设置 XDG_CURRENT_DESKTOP 和 QT_QPA_PLATFORMTHEME 解决

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 28 May 2024 09:06:52 +0800

kylin-process-manager (4.10.0.0-ok1.28) nile; urgency=medium

  * fix: Launch some X11 applications failed with kwin-wayland.

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 03 Apr 2024 10:35:51 +0800

kylin-process-manager (4.10.0.0-ok1.27) nile; urgency=medium

  * fix: #I8WS12 Can not launch file without extension by LaunchDefaultAppWithUrl

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 17 Jan 2024 10:01:55 +0800

kylin-process-manager (4.10.0.0-ok1.26) nile; urgency=medium

  * fix: Can not create .scope cgroup for Wine WeChat;
         Can not show 'Save As...' dialog in firefox browser when turns on Ice Freeze Mode;
         kylin-process-manager-thawer warnings when cgroup v2 mounted

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 17 Jan 2024 10:01:55 +0800

kylin-process-manager (4.10.0.0-ok1.25) nile; urgency=medium

  * improvement: Thaw all frozen processes before shutdown with cgroup v1;
                 Move app with system tray icon to the Service Group;
                 Optimize the battery remaining time computational logic
  * refactor: Call systemd D-Bus interface when cgroup v2 mounted

 -- guopengfei <guopengfei@kylinos.cn>  Mon, 08 Jan 2024 17:45:04 +0800

kylin-process-manager (4.10.0.0-ok1.24) nile; urgency=medium

  * fix: The cgroup created by kylin-process-manager-daemon
         with cgroup v2 does not enable the controller

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 20 Dec 2023 14:06:26 +0800

kylin-process-manager (4.10.0.0-ok1.23) nile; urgency=medium

  * improvement: 1. Quit the main process when register DBus service failed;
  *              2. Move the process without windows to service group

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 20 Dec 2023 10:25:25 +0800

kylin-process-manager (4.10.0.0-ok1.22) nile; urgency=medium

  * fix: #I8OL4A CgroupV1版本，开启软冻模式影音应用冻结后还原到桌面出现卡顿
         ##I8OL2N CgroupV1版本，开启软冻模式影音应用冻结后视频未停止播放
  * 优化: 创建cgroup的权限和所有者和systemd的分组保持一致

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 19 Dec 2023 14:09:29 +0800

kylin-process-manager (4.10.0.0-ok1.21) nile; urgency=medium

  * improvement: No longer recreate the group when it exists.

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 13 Dec 2023 13:53:51 +0800

kylin-process-manager (4.10.0.0-ok1.20) nile; urgency=medium

  * fix: #I8J45O PC模式,内存达到阈值,冻结应用失败
  * fix: #I8IWH9 系统资源紧张时,仅首次出现提醒用户开启分级冻结功能的消息通知
  * fix: #I8IYQG 系统资源紧张时,点击提醒弹窗中的"开启"按钮,控制面板中的分级冻结开关未开启
  * fix: 修复RunCommand不支持百分号编码的uri
  * improvement: 1. 设置相关环境变量,防止与glib打开应用相关接口依赖循环;2.优化部分代码
  *              3.完善配置文件
  *

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 05 Dec 2023 17:06:17 +0800

kylin-process-manager (4.10.0.0-ok1.9) nile; urgency=medium

  * feat: add service process group for processes that own selection

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 28 Nov 2023 14:19:39 +0800

kylin-process-manager (4.10.0.0-ok1.8) nile; urgency=medium

  * No change rebuild

 -- CI Bot <cibot@openkylin.top>  Thu, 23 Nov 2023 10:40:18 +0000

kylin-process-manager (4.10.0.0-ok1.7) nile; urgency=medium

  * fix: collect data failed

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 22 Nov 2023 14:51:39 +0800

kylin-process-manager (4.10.0.0-ok1.6) nile; urgency=medium

  * update license
  * rename data collector event name

 -- guopengfei <guopengfei@kylinos.cn>  Thu, 16 Nov 2023 15:19:18 +0800

kylin-process-manager (4.10.0.0-ok1.5) nile; urgency=medium

  * fix: 修复cgroupv2删除空分组失败的问题

 -- guopengfei <guopengfei@kylinos.cn>  Thu, 16 Nov 2023 09:39:49 +0800

kylin-process-manager (4.10.0.0-ok1.4) nile; urgency=medium

  * 更新topapp应用列表

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 15 Nov 2023 14:37:50 +0800

kylin-process-manager (4.10.0.0-ok1.3) nile; urgency=medium

  * 修复cgroup v1环境下的部分问题

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 15 Nov 2023 14:00:58 +0800

kylin-process-manager (4.10.0.0-ok1.2) nile; urgency=medium

  * BugId: 无
  * 需求号: 禅道#24682 集成分级冻结3.0版本
  * 其他改动: 优化统一入口的方案
  * 影响域：所有打开应用的系统组件
  * new upstream released.

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 14 Nov 2023 10:08:55 +0800

kylin-app-manager (3.22.1.0-ok1.20) yangtze; urgency=medium

  * BugId：#I72CH2 【WPS】平板模式，无法关闭WPS应用
  * 需求号：无
  * 其他改动：无
  * 影响域：无

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 23 Aug 2023 13:51:43 +0800

kylin-app-manager (3.22.1.0-ok1.19) yangtze; urgency=medium

  * BugId：无
  * 需求号：无
  * 其他改动：过滤peony-qt-desktop桌面
  * 影响域：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Tue, 04 Jul 2023 13:31:20 +0800

kylin-app-manager (3.22.1.0-ok1.18) yangtze; urgency=medium

  * BugId：无
  * 需求号：无
  * 其他改动：Update version.
  * 影响域：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 12 May 2023 10:13:28 +0800

kylin-app-manager (3.22.1.0-ok1.17) yangtze; urgency=medium

  * BugId：无
  * 需求号：无
  * 其他改动：1）删除虚拟键盘子工程；2）删除设置SESSION_MANAGER环境变量的代码
  * 影响域：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 05 May 2023 10:10:55 +0800

kylin-app-manager (3.22.1.0-ok1.16) yangtze; urgency=medium

  * 清空CGroup分组白名单;修改CGroup分组路径,解决无法弹出授权窗口的问题

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 31 Jan 2023 09:04:29 +0800

kylin-app-manager (3.22.1.0-ok1.15) yangtze; urgency=medium

  * 添加CGroup分组白名单

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 11 Jan 2023 22:36:07 +0800

kylin-app-manager (3.22.1.0-ok1.14) yangtze; urgency=medium

  * Fix: #I6797G 影音、音乐被冻结后，在平板模式无法打开

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 27 Dec 2022 14:19:08 +0800

kylin-app-manager (3.22.1.0-ok1.13) yangtze; urgency=medium

  * 新增dbus接口ThawApps，关机时session调用

 -- duchangfeng <duchangfeng@kylinos.cn>  Mon, 26 Dec 2022 08:59:29 +0800

kylin-app-manager (3.22.1.0-ok1.12) yangtze; urgency=medium

  * Add 'Inhibit' and 'UnInhibit' dbus interface

 -- guopengfei <guopengfei@kylinos.cn>  Tue, 20 Dec 2022 10:30:55 +0800

kylin-app-manager (3.22.1.0-ok1.11) yangtze; urgency=medium

  * 修复平板模式下打开麒麟管家后再次点击图标无法激活的问题

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 16 Dec 2022 17:05:26 +0800

kylin-app-manager (3.22.1.0-ok1.10) yangtze; urgency=medium

  * 适配kmre2.4版本

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 16 Dec 2022 10:45:06 +0800

kylin-app-manager (3.22.1.0-ok1.9) yangtze; urgency=medium

  * kylin-app-manager.json文件中IO策略添加cgroup.freeze资源限制

 -- duchangfeng <duchangfeng@kylinos.cn>  Mon, 12 Dec 2022 16:53:00 +0800

kylin-app-manager (3.22.1.0-ok1.8) yangtze; urgency=medium

  * adjust CPU IO policy

 -- guopengfei <guopengfei@kylinos.cn>  Sat, 10 Dec 2022 21:35:11 +0800

kylin-app-manager (3.22.1.0-ok1.7) yangtze; urgency=medium

  * wayland平台下,窗口激活状态改变时获取最小化状态

 -- guopengfei <guopengfei@kylinos.cn>  Fri, 09 Dec 2022 10:12:11 +0800

kylin-app-manager (3.22.1.0-ok1.6) yangtze; urgency=medium

  * 修复激活窗口改变时，应用状态切换错误的问题

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 07 Dec 2022 21:39:40 +0800

kylin-app-manager (3.22.1.0-ok1.5) yangtze; urgency=medium

  * 优化获取处理策略逻辑

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 07 Dec 2022 21:20:12 +0800

kylin-app-manager (3.22.1.0-ok1.4) yangtze; urgency=medium

  * change kwin dbus service name.

 -- guopengfei <guopengfei@kylinos.cn>  Wed, 07 Dec 2022 15:20:56 +0800

kylin-app-manager (3.22.1.0-ok1.3) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：update debian/install.
  * 其他改动影响域 ：无

 -- guopengfei <guopengfei@kylinos.cn>  Sat, 07 Dec 2022 14:12:04 +0800

kylin-app-manager (3.22.1.0-ok1.2) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：update conf/kylin-app-manager.json.
  * 其他改动影响域 ：无

 -- guopengfei <guopengfei@kylinos.cn>  Sat, 07 Dec 2022 09:12:04 +0800

kylin-app-manager (3.22.1.0-ok1.1) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：update changelog
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Sat, 06 Dec 2022 16:58:04 +0800

kylin-app-manager (3.22.1.0-ok0) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：集成分级冻结功能
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Sat, 06 Dec 2022 13:58:04 +0800

kylin-app-manager (3.21.0.1-ok1.5) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：兼容x与wayland环境，合并app-manager与虚拟键盘代码
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 25 Nov 2022 09:21:05 +0800

kylin-app-manager (3.21.0.1-ok1.4) yangtze; urgency=medium

  * BugId：137950【wayland】【多任务视图】【侧边栏】 平板模式下进入过多任务视图界面，无法使用鼠标点击/手势唤出侧边栏(重启恢复)
  * 需求号 ：无
  * 其他改动说明 ：修复PC模式下播放音视频，切换平板模式下无法冻结音视频的问题
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Thu, 03 Nov 2022 14:46:44 +0800

kylin-app-manager (3.21.0.1-ok1.3) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：1）解决wps首次安装打开，任务栏不显示图标的问题；2）修改悬浮按钮唤醒的机制。
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 28 Aug 2022 17:00:45 +0800

kylin-app-manager (3.21.0.1-ok1.2) yangtze; urgency=medium

  * BugId：无
  * 需求号 ：无
  * 其他改动说明 ：添加control build依赖libgsettings-qt-dev，libglib2.0-dev。
  * 其他改动影响域 ：无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 21 Oct 2022 10:00:45 +0800

kylin-app-manager (3.21.0.1-ok1.1) yangtze; urgency=medium

  * new upstream 3.21.0.1

 -- duchangfeng <duchangfeng@kylinos.cn>  Thu, 20 Oct 2022 18:06:45 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0819) yangtze; urgency=medium

  * close-id# 128856 文档编辑器默认应用为vim，双击txt文件无反应
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 19 Aug 2022 16:22:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0720) yangtze; urgency=medium

  * 1)恢复初始化创建分组；2)只保留app-manager和statue-manager服务启动成功的信号

 -- duchangfeng <duchangfeng@kylinos.cn>  Wed, 20 Jul 2022 14:53:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0718) yangtze; urgency=medium

  * 添加app-manager和statue-manager服务启动成功与否都发信号

 -- duchangfeng <duchangfeng@kylinos.cn>  Mon, 18 Jul 2022 20:41:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0715) yangtze; urgency=medium

  * 更新licence

 -- duchangfeng <duchangfeng@kylinos.cn>  Mon, 11 Jul 2022 15:30:18 +0800


kylin-app-manager (1.1.0.0.0k0.2-ok2~0711) yangtze; urgency=medium

  * 更新licence

 -- duchangfeng <duchangfeng@kylinos.cn>  Mon, 11 Jul 2022 15:30:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0708) yangtze; urgency=medium

  * Fix：在desktop中添加可通过kwin协议的字段

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 08 Jul 2022 18:00:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0624) yangtze; urgency=medium

  * Fix：修改LaunchDefaultAppWithUrl 接口中的启动应用参数

 -- duchangfeng <duchangfeng@kylinos.cn>  Fri, 24 Jun 2022 09:59:18 +0800

kylin-app-manager (1.1.0.0.0k0.2-ok2~0622) yangtze; urgency=medium

  * initial for openKylin.
  * 修改传参方式。

 -- guopengfei <guopengfei@kylinos.cn>  Sat, 18 Jun 2022 09:59:18 +0800
